Bug 309611 - xen kernel does panic with 3ware 9xxx Controller
xen kernel does panic with 3ware 9xxx Controller
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Eduardo Habkost
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 14:52 EDT by Christian Exner
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.20-2943.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 20:46:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Experimental fix for 3w-9xxx work under Xen (1.82 KB, patch)
2007-09-27 18:23 EDT, Eduardo Habkost
no flags Details | Diff

  None (edit)
Description Christian Exner 2007-09-27 14:52:14 EDT
Description of problem:


Tested with f7 xen kernel 2.6.20-2931.fc7xen.
Same Problem appears with latest xen kernels of fc5 and fc6 (about 2 Month ago).


How reproducible:

Every time the kernel boots. 


Steps to Reproduce:
1. Power on
2. Kernel boots
3. Kernel-Panic
4. Automatic reboot

  
Actual results:

"Kernel panic - not syncing: Attempted to kill init!"


Expected results:

Full system startup with a console prompt.


Additional info:

Sorry, only fragments of the boot messages available. I don't know how to get a
logfile if root partition does not mount. I think the following messages are
telling something about the problem:

"3w-9xxx: scsi0: ERROR: (0x06:0x00...........to ioremap."
"ATA: abnormal status 0x8 on port 0x177"
"device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
  Reading all physical volumes. This may take a while...
  No volume groups found
  Volume group "VolGroup00" not found
mount: could not find filesystem /dev/root
setuproot: moving /dev failed: No such file or directory
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
switchroot: mount failed: No such file or directory
Kernel panic - not syncing: Attempted to kill init!"



output of lsmod:
Module                  Size  Used by
vmnet                  41524  22 
parport_pc             30821  0 
vmmon                1803692  24 
ppdev                  12741  0 
ipt_MASQUERADE          7745  1 
iptable_nat            11461  1 
nf_nat                 22381  2 ipt_MASQUERADE,iptable_nat
nf_conntrack_ipv4      15049  3 iptable_nat
xt_state                6593  1 
nf_conntrack           63049  5
ipt_MASQUERADE,iptable_nat,nf_nat,nf_conntrack_ipv4,xt_state
nfnetlink               9945  3 nf_nat,nf_conntrack_ipv4,nf_conntrack
ipt_REJECT              8641  2 
xt_tcpudp               7233  4 
iptable_filter          7105  1 
ip_tables              16517  2 iptable_nat,iptable_filter
x_tables               18629  6
ipt_MASQUERADE,iptable_nat,xt_state,ipt_REJECT,xt_tcpudp,ip_tables
bridge                 53977  0 
parport                38281  2 parport_pc,ppdev
ipv6                  277957  18 
dm_multipath           21961  0 
e100                   38349  0 
3c59x                  45545  0 
i2c_piix4              12493  0 
mii                     9409  2 e100,3c59x
i2c_core               27841  1 i2c_piix4
osst                   53981  0 
floppy                 58661  0 
sr_mod                 20837  1 
cdrom                  37089  1 sr_mod
st                     39901  0 
sg                     37469  0 
dm_snapshot            20709  0 
dm_zero                 6209  0 
dm_mirror              25153  0 
dm_mod                 56833  11 dm_multipath,dm_snapshot,dm_zero,dm_mirror
pata_serverworks       13889  1 
libata                117809  1 pata_serverworks
aic7xxx               137337  0 
scsi_transport_spi     27073  1 aic7xxx
3w_9xxx                36037  3 
sd_mod                 31297  4 
scsi_mod              140749  9
osst,sr_mod,st,sg,libata,aic7xxx,scsi_transport_spi,3w_9xxx,sd_mod
ext3                  125513  3 
jbd                    59881  1 ext3
mbcache                12485  1 ext3
ehci_hcd               35405  0 
ohci_hcd               23877  0 
uhci_hcd               27089  0 

output of lspci:
00:00.0 Host bridge: Broadcom CNB20LE Host Bridge (rev 06)
00:00.1 Host bridge: Broadcom CNB20LE Host Bridge (rev 06)
00:01.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
00:02.0 SCSI storage controller: Adaptec AHA-2940/2940W / AIC-7871
00:03.0 Ethernet controller: 3Com Corporation 3c905B 100BaseTX [Cyclone] (rev 30)
00:04.0 Network controller: AVM Audiovisuelles MKTG & Computer System GmbH
Fritz!PCI v2.0 ISDN (rev 02)
00:06.0 Ethernet controller: Intel Corporation 82557/8/9 [Ethernet Pro 100] (rev 08)
00:0f.0 ISA bridge: Broadcom OSB4 South Bridge (rev 51)
00:0f.1 IDE interface: Broadcom OSB4 IDE Controller
00:0f.2 USB Controller: Broadcom OSB4/CSB5 OHCI USB Controller (rev 04)
01:01.0 RAID bus controller: 3ware Inc 9xxx-series SATA-RAID

content of /proc/cpuinfo:
processor: 0
vendor_id: GenuineIntel
cpu family: 6
model: 8
model name: Pentium III (Coppermine)
stepping: 10
cpu MHz: 999.623
cache size: 256 KB
fdiv_bug: no
hlt_bug: no
f00f_bug: no
coma_bug: no
fpu: yes
fpu_exception: yes
cpuid level: 2
wp: yes
flags: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx
fxsr sse
bogomips: 1999.72
clflush size: 32

processor: 1
vendor_id: GenuineIntel
cpu family: 6
model: 8
model name: Pentium III (Coppermine)
stepping: 10
cpu MHz: 999.623
cache size: 256 KB
fdiv_bug: no
hlt_bug: no
f00f_bug: no
coma_bug: no
fpu: yes
fpu_exception: yes
cpuid level: 2
wp: yes
flags: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 mmx
fxsr sse
bogomips: 1998.83
clflush size: 32
Comment 1 Eduardo Habkost 2007-09-27 15:50:37 EDT
Could you show the output of 'lspci -vv -s 01:01.0'?
Comment 2 Christian Exner 2007-09-27 16:44:07 EDT
(In reply to comment #1)
> Could you show the output of 'lspci -vv -s 01:01.0'?

Here we go:

lspci -vv -s 01:01.0
01:01.0 RAID bus controller: 3ware Inc 9xxx-series SATA-RAID
Subsystem: 3ware Inc 9xxx-series SATA-RAID
Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV+ VGASnoop- ParErr- Stepping-
SERR+ FastB2B-
Status: Cap+ 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
Latency: 64 (2250ns min), Cache Line Size: 32 bytes
Interrupt: pin A routed to IRQ 24
Region 0: I/O ports at e800 [size=256]
Region 1: Memory at febffc00 (64-bit, non-prefetchable) [size=256]
Region 3: Memory at fb800000 (64-bit, prefetchable) [size=8M]
Expansion ROM at febe0000 [disabled] [size=64K]
Capabilities: [40] PCI-X non-bridge device
Command: DPERE- ERO- RBC=512 OST=1
Status: Dev=ff:1f.0 64bit+ 133MHz+ SCD- USC- DC=simple DMMRBC=512 DMOST=1
DMCRS=8 RSCEM- 266MHz- 533MHz-
Capabilities: [48] Power Management version 2
Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=0mA PME(D0+,D1+,D2+,D3hot+,D3cold-)
Status: D0 PME-Enable- DSel=0 DScale=0 PME-
Comment 3 Eduardo Habkost 2007-09-27 18:23:44 EDT
Created attachment 209141 [details]
Experimental fix for 3w-9xxx work under Xen

3w-9xxx is ignoring the length of the PCI memory resource it should use and
trying to ioremap() PAGE_SIZE bytes instead of the 256 bytes it can use. This
patch fixes this, and should solve this bug.
Comment 4 Eduardo Habkost 2007-09-27 18:27:58 EDT
I have built an experimental package including the patch on attachment 
#209141 [details]. It is available at: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=177180

Could you test if it solves the problem?
Comment 5 Christian Exner 2007-09-28 03:44:07 EDT
(In reply to comment #4)
> I have built an experimental package including the patch on attachment 
> #209141 [edit]. It is available at: 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=177180
> 
> Could you test if it solves the problem?

The experimental kernel seems to work great. System comes up perfectly.
Comment 6 Eduardo Habkost 2007-10-08 13:55:03 EDT
Patch on CVS. Should go to next F-7 update.
Comment 7 Fedora Update System 2007-11-09 18:38:27 EST
kernel-xen-2.6-2.6.20-2943.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel-xen-2.6'
Comment 8 Fedora Update System 2007-11-28 20:45:58 EST
kernel-xen-2.6-2.6.20-2943.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.